import { aabb2_distance_sqr_to_point } from "./aabb2_distance_sqr_to_point.js";

/**
 *
 * @param {number} x0
 * @param {number} y0
 * @param {number} x1
 * @param {number} y1
 * @param {number} px
 * @param {number} py
 * @returns {number}
 */
export function aabb2_distance_to_point(x0, y0, x1, y1, px, py) {
    const sqrD = aabb2_distance_sqr_to_point(x0, y0, x1, y1, px, py);
    return Math.sqrt(sqrD);
}

